Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.location
Class LocationManager2

    java.lang.Object
      hr.tis.mgw.client.common.AbstractManager2
          hr.tis.mgw.client.location.LocationManager2

Direct Known Subclasses:
  LocationManager2Impl

public abstract class LocationManager2
extends AbstractManager2

User location interface.

Constructor Summary
`LocationManager2()`

Method Summary
`abstract Location` | `getLocation(java.lang.String user, java.lang.String requester, Accuracy accuracy)` Get user location.
`abstract Location` | `getLocation(java.lang.String user, java.lang.String requester, Accuracy accuracy, java.lang.String username, java.lang.String password)` Get user location.

Methods inherited from class hr.tis.mgw.client.common.AbstractManager2
`getPassword, getServerURL, getTimeout, getUsername, isThreadedListener, setPassword, setServerURL, setThreadedListener, setTimeout, setUsername`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocationManager2

    public LocationManager2()

Method Detail

### getLocation

    public abstract Location getLocation(java.lang.String user,
                                         java.lang.String requester,
                                         Accuracy accuracy)
                                  throws GatewayException

  Get user location. Use default username and password for authentication.

  Parameters:
    `user` - User account to be located
    `requester` - User account requesting location service
    `accuracy` - Location accuracy
  Returns:
    User location
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `Location`, `Accuracy`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### getLocation

    public abstract Location getLocation(java.lang.String user,
                                         java.lang.String requester,
                                         Accuracy accuracy,
                                         java.lang.String username,
                                         java.lang.String password)
                                  throws GatewayException

  Get user location. Specify username and password for authentication.

  Parameters:
    `user` - User account to be located
    `requester` - User account requesting location service
    `accuracy` - Location accuracy
    `username` - Authentication username
    `password` - Authentication password
  Returns:
    User location
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `Location`, `Accuracy`, `GatewayException`, `hr.tis.mgw.client.exceptions`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.